restinio::easy_parser::impl::symbol_from_range_producer_t Class Reference

A producer for the case when a symbol should belong to specified range. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::symbol_from_range_producer_t:

## Public Member Functions

| symbol_from_range_producer_t (char left, char right)
Public Member Functions inherited from restinio::easy_parser::impl::symbol_producer_template_t< symbol_from_range_predicate_t >
| symbol_producer_template_t (Args &&... args)
RESTINIO_NODISCARD expected_t< char, parse_error_t > | try_parse (source_t &from) const noexcept

## Private Types

using | base_type_t = symbol_producer_template_t< symbol_from_range_predicate_t >

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< char >
using | result_type = char
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< char >
static constexpr entity_type_t | entity_type
Protected Member Functions inherited from restinio::easy_parser::impl::symbol_from_range_predicate_t
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept
Protected Attributes inherited from restinio::easy_parser::impl::symbol_from_range_predicate_t
char | m_left
char | m_right

## Detailed Description

A producer for the case when a symbol should belong to specified range.

Range is inclusive. It means that `(ch >= left && ch <= right)`.

Since
  v.0.6.9

Definition at line 2362 of file easy_parser.hpp.

## Member Typedef Documentation

## base_type_t

using restinio::easy_parser::impl::symbol_from_range_producer_t::base_type_t = symbol_producer_template_t< symbol_from_range_predicate_t >

private

Definition at line 2365 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## symbol_from_range_producer_t()

restinio::easy_parser::impl::symbol_from_range_producer_t::symbol_from_range_producer_t | ( | char | left,
|  | char | right
| ) |  |

inline

Definition at line 2369 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp